Bug 16048 - Making notices actions buttons
Summary: Making notices actions buttons
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-10 22:46 UTC by Aleisha Amohia
Modified: 2017-06-14 22:08 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16048: Making notices actions buttons (2.61 KB, patch)
2016-03-10 22:47 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16048: Making notices actions buttons (2.76 KB, patch)
2016-03-10 23:46 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16048: Making notices actions buttons (2.90 KB, patch)
2016-03-11 13:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16048 [Follow-up] Making notices actions buttons (3.49 KB, patch)
2016-03-11 13:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16048: Making notices actions buttons (2.92 KB, patch)
2016-03-11 13:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16048 [Follow-up] Making notices actions buttons (3.52 KB, patch)
2016-03-11 13:17 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-03-10 22:46:04 UTC

    
Comment 1 Aleisha Amohia 2016-03-10 22:47:31 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2016-03-10 23:46:52 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-03-11 07:42:49 UTC
Aleisha, it is better to define a class name for the td and set a style in the css file:

Something like:
<td class="actions">

.actions {
  white-space: nowrap;
}
Comment 4 Owen Leonard 2016-03-11 13:11:48 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2016-03-11 13:11:52 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2016-03-11 13:17:48 UTC
Created attachment 49010 [details] [review]
Bug 16048: Making notices actions buttons

EDIT: Adding no wrap class to Actions column for when libraries with longer names mess up formatting

To test:
1) Go to Tools -> Notices and slips (tools/letter.pl)
2) Confirm that all actions (Copy, Edit and Delete) now show as font awesome buttons and work as expected

Sponsored-by: Catalyst IT
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

I have a couple of corrections in a follow-up.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2016-03-11 13:17:54 UTC
Created attachment 49011 [details] [review]
Bug 16048 [Follow-up] Making notices actions buttons

This followup adds a "td.actions" style with "white-space:nowrap" and
replaces the inline styles. Also modified is the way non-sorting table
columns are defined. This corrects a problem with non-sortable columns
introducted by the previous patch's column changes.

To test, apply the patch and clear your browser cache if necessary.

- Go to Tools -> Notices and confirm that even at narrow browser widths
  the "Edit" and "Delete" buttons stay side by side.
- Confirm that all columns are sortable except "Copy notice" and
  "Actions."

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Brendan Gallagher 2016-03-11 23:02:16 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks